﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.DesktopEdition;

namespace TestSample
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            winformsMap1.ZoomLevelSet.ZoomLevel20.Scale = 350;

            winformsMap1.MapUnit = GeographyUnit.DecimalDegree;

            string shpfile = @"..\..\data\cntry02.shp";
            ShapeFileFeatureLayer sffl = new ShapeFileFeatureLayer(shpfile);
            sffl.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.Country1;
            sffl.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

            winformsMap1.CurrentExtent = new RectangleShape(-62.0598109066486, 56.8307683702927, -62.0580621063709, 56.8295962449532);
            winformsMap1.CurrentScale = 350;

            LayerOverlay overlay = new LayerOverlay();
            overlay.Layers.Add(sffl);
            overlay.TileCache = new FileBitmapTileCache(@"D:\cachedata");

            winformsMap1.CurrentExtentChanged += WinformsMap1_CurrentExtentChanged;

            winformsMap1.Overlays.Add(overlay);
            winformsMap1.Refresh();
        }

        private void WinformsMap1_CurrentExtentChanged(object sender, CurrentExtentChangedWinformsMapEventArgs e)
        {
            Debug.WriteLine(e.CurrentExtent);
        }
    }
}
